hdf5 (2.2.0+repack-4) unstable; urgency=medium

  * Update again symbols files for archs != amd64

 -- Gilles Filippini <pini@debian.org>  Sun, 16 Aug 2026 13:46:41 +0200

hdf5 (2.2.0+repack-3) unstable; urgency=medium

  * Update again symbols files for archs != amd64

 -- Gilles Filippini <pini@debian.org>  Sat, 15 Aug 2026 21:26:19 +0200

hdf5 (2.2.0+repack-2) unstable; urgency=medium

  * Improve reproducibility.path to use SOURCE_DATE_EPOCH as CONFIG_DATE
  * Improve patch settings-extra-libraries.patch to fix file
    src/H5build_settings.cmake.c.in as well
  * Update symbols files for archs != amd64

 -- Gilles Filippini <pini@debian.org>  Sat, 15 Aug 2026 15:27:58 +0200

hdf5 (2.2.0+repack-1) unstable; urgency=medium

  * New upstream release
  * Fixed CVEs:
    - CVE-2026-17572 (closes: #1142999)
    - CVE-2026-17573 (closes: #1143000)
    - CVE-2026-17574 (closes: #1143001)
  * Refresh patches
  * Drop patches pr-6218.patch and pr-6354.patch (fixed upstream)
  * Drop patch java_use-system-jars.patch and set jar files paths using
    cmake variables
  * Refresh d/flavor-layout and d/libhdf5-flavor-dev.install.in regarding
    new cmake files installation path
  * Tweak d/libhdf5-flavor-dev.install.in to avoid installing the new
    /usr/include/mod folder which is redundant
  * Update syombols files

  * Acknowledge previously fixed CVE in HDF5 2.1.0:
    - CVE-2025-2153 (closes: #1100440)
    - CVE-2025-2308 (closes: #1103542)
    - CVE-2025-2309 (closes: #1103541)
    - CVE-2025-2310 (closes: #1103540)
    - CVE-2025-2912 (closes: #1103539)
    - CVE-2025-2913 (closes: #1103538)
    - CVE-2025-2914 (closes: #1103537)
    - CVE-2025-2915 (closes: #1103536)
    - CVE-2025-2923 (closes: #1103534)
    - CVE-2025-2924 (closes: #1103533)
    - CVE-2025-2925 (closes: #1103532)
    - CVE-2025-2926 (closes: #1103531)
    - CVE-2025-6269 (closes: #1108155)
    - CVE-2025-6270 (closes: #1108156)
    - CVE-2025-6750 (closes: #1108409)
    - CVE-2025-6816 (closes: #1108482)
    - CVE-2025-6817 (closes: #1108481)
    - CVE-2025-6818 (closes: #1108480)
    - CVE-2025-7067 (closes: #1108886)
    - CVE-2025-7068 (closes: #1108885)
    - CVE-2025-7069 (closes: #1108884)
    - CVE-2026-26197 (closes: #1143002)
    - CVE-2026-26199 (closes: #1143003)

 -- Gilles Filippini <pini@debian.org>  Fri, 14 Aug 2026 12:07:49 +0200

hdf5 (2.1.0+repack-1) unstable; urgency=medium

  * New major upstream release
  * Build with cmake (autotools support dropped upstream)
  * Flavors (serial, openmpi, mpich) are configured at build time using
    the cmake variable HDF5_LIB_INFIX
  * Other adjustments are done via the script debian/flavor-layout 
  * Install cmake configuration files
  * New patch cmake.patch to adapt these files to our installation layout
  * New alternative hdf5.cmake to choose a given flavor as default cmake
    configuration
  * Helpers h5cc et al: set -norpath as the default
  * pkg-config files:
    - set the Requires variable to the related MPI backend
    - add the PluginDir variable
  * Build tools separately so that the cmake configuration files don't
    check for them
  * Java:
    - ship the JNI implementation to support a larger set of Java
      source versions (FFM implementation support starts at Java 25)
    - install maven artifacts
  * Patches from upstream:
    - fix the Java dependency tree
    - fix FTBFS during tests for s390x
    - fix the 'Extra libraries' field in libhdf5.settings
  * libhdf5-mpi-dev:
    - add symlinks for include and lib directories
    - set symlink hdf5_mpi.pc
    - drop support for 'hdf5-mpi.pc' as a slave of the 'mpi' alternatives
    - keep hdf5-mpi.pc symlink for backward compatibility (will be
      dropped at some point in the future)
  * Raise tests timeout to prevent FTBFS on riscv64

  * d/copyright:
    - added section for doxygen/doxygen-awesome.css
    - changed the main HDF5 license's short name from "BSD-5-clause"
      to "HDF5", and added a comment field
  * Updated symbols files
  * Lintian:
    - added comments to explain why the related warnings are overridden
    - removed overrides for the missing manpages to keep this task in
      mind
    - errors: these are caused by dwz bug #1106590

 -- Gilles Filippini <pini@debian.org>  Wed, 05 Aug 2026 10:43:51 +0200

hdf5 (1.14.6+repack-2) unstable; urgency=medium

  * Do not build libhdf5-mpi-dev when no MPI is available

 -- Gilles Filippini <pini@debian.org>  Sun, 18 Jan 2026 15:35:22 +0100

hdf5 (1.14.6+repack-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Update symbols files

  [ Sylvain Beucler ]
  * Explain security support status in README.Debian (Closes: #1117722)

 -- Gilles Filippini <pini@debian.org>  Sun, 18 Jan 2026 12:01:01 +0100

hdf5 (1.14.5+repack-4) unstable; urgency=medium

  * No-change upload (again) at doko's request

 -- Gilles Filippini <pini@debian.org>  Tue, 09 Sep 2025 11:15:19 +0200

hdf5 (1.14.5+repack-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 18:43:09 +0200

hdf5 (1.14.5+repack-3) unstable; urgency=medium

  * New patch fortran_gmtime64.patch: fix fortran gmtime related
    failures on big-endian 32-bit architectures (closes: #1091911)
  * Update symbols files for alpha hppa hurd-i386 m68k powerpc sh4

 -- Gilles Filippini <pini@debian.org>  Sun, 05 Jan 2025 16:14:18 +0100

hdf5 (1.14.5+repack-2) unstable; urgency=medium

  * Acknoledge previously fixed CVE:
    CVE-2017-17507 CVE-2018-11205 CVE-2018-14034 CVE-2018-14035
    CVE-2018-15671 CVE-2018-17433 CVE-2018-17436 CVE-2019-8396
    CVE-2019-8397 CVE-2019-8398 CVE-2019-9151 CVE-2019-9152
    CVE-2020-10809 CVE-2020-10812 CVE-2021-45829 CVE-2021-46243
    CVE-2022-25942 CVE-2022-25972 CVE-2022-26061
  * Fixed typo in changelog for 1.10.10+repack-1
  * Add nojava build profile (closes: #1067758)
  * Add missing #MINVER# to .symbols files for libhdf5-fortran,
    libhdf5-hl, and libhdf5-hl-fortran (closes: #1023820)

 -- Gilles Filippini <pini@debian.org>  Mon, 30 Dec 2024 20:18:56 +0100

hdf5 (1.14.5+repack-1) unstable; urgency=medium

  * New major upstream release
  * Fixed CVE-2024-33877 CVE-2024-33876 CVE-2024-33875 CVE-2024-33874
    CVE-2024-33873 CVE-2024-32624 CVE-2024-32623 CVE-2024-32622
    CVE-2024-32621 CVE-2024-32620 CVE-2024-32619 CVE-2024-32618
    CVE-2024-32617 CVE-2024-32616 CVE-2024-32615 CVE-2024-32614
    CVE-2024-32613 CVE-2024-32612 CVE-2024-32611 CVE-2024-32610
    CVE-2024-32609 CVE-2024-32607 CVE-2024-32606 CVE-2024-32605
    CVE-2024-29166 CVE-2024-29165 CVE-2024-29164 CVE-2024-29163
    CVE-2024-29162 CVE-2024-29161 CVE-2024-29160 CVE-2024-29159
    CVE-2024-29158 CVE-2024-29157 (closes: #1070861)
  * Fix CVE-2018-11202 CVE-2018-11206 CVE-2018-13867 CVE-2018-13867
    CVE-2018-13869 CVE-2018-13870 CVE-2018-14031 CVE-2018-14033
    CVE-2018-14460 CVE-2018-16438 CVE-2018-17432 CVE-2018-17435
    CVE-2018-17439 CVE-2019-8396 CVE-2020-10810 CVE-2020-10810
    CVE-2021-37501 CVE-2021-45830 CVE-2021-45833 CVE-2021-46242
    CVE-2021-46244
  * Update d/copyright
  * Rename and update symbols files
  * Refresh patches
  * Drop patches:
    - relax-version-check.patch: now useless
    - fix-unaligned-accesses.patch: source code was refactored
      and this patch doesn't apply anymore
  * New patches:
    - float128.patch: backported from upstream to fix an FTBFS on i386
    - cheat-fortranlib_test.patch: temporry patch to workaround an issue
      in the fortranlib test for 32 bit architectures
  * Bump default API version from 1.8 to 1.14
  * htdf5-tools: install new tools: h5delete, h5format_convert, h5fuse
    h5watch
  * Docs: no more html folder

 -- Gilles Filippini <pini@debian.org>  Tue, 10 Dec 2024 21:12:10 +0100

hdf5 (1.10.10+repack-5) unstable; urgency=medium

  * Build-Depends: libopenmpi-dev: explicitly exclude all 32bit archs
    instead of relying on an an alternative with architecture-is-32-bit
    (closes: #1087988)

 -- Gilles Filippini <pini@debian.org>  Thu, 28 Nov 2024 19:28:37 +0100

hdf5 (1.10.10+repack-4) unstable; urgency=medium

  * Drop OpenMPI support for 32 bit archs (closes: #1068320)
  * debian/rules: fix binary packages exclusion via DH_OPTIONS when
    flavors are disabled
  * New patch: gcc14.patch (closes: #1075063)

 -- Gilles Filippini <pini@debian.org>  Sun, 28 Jul 2024 15:35:47 +0200

hdf5 (1.10.10+repack-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-enable java support for armel and armhf.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 29 Mar 2024 16:25:24 +0500

hdf5 (1.10.10+repack-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix incorrect t64 library dependencies on -dev packages.
  * Temporarily disable java support for armel and armhf.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 26 Mar 2024 23:30:41 +0500

hdf5 (1.10.10+repack-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064095

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 02:48:14 +0000

hdf5 (1.10.10+repack-3) unstable; urgency=medium

  * Update symbols files
  * Fix symbols files for loong64 (closes: #1054106; thanks to Dandan Zhang)

 -- Gilles Filippini <pini@debian.org>  Tue, 17 Oct 2023 22:56:33 +0200

hdf5 (1.10.10+repack-2) unstable; urgency=medium

  * Re-ctivate patch java-test-TestH5Arw_array-overflow

 -- Gilles Filippini <pini@debian.org>  Sat, 19 Aug 2023 13:31:04 +0200

hdf5 (1.10.10+repack-1) unstable; urgency=medium

  * New upstream release
  * Tools gif2h5 and h52gif are deprecated
  * Refresh patches
  * Update symbols files
  * Drop transitionnal packages:
    - libhdf5-103 (closes: #1038330)
    - libhdf5-cpp-103 (closes: #1038257)
    - libhdf5-openmpi-103 (closes: #1038316)
    - libhdf5-mpich-103 (closes: #1038238)

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Jun 2023 19:25:39 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libhdf5-320`.
